#### Previous topic

scipy.spatial.distance.is_valid_y

#### Next topic

scipy.spatial.distance.num_obs_y

# scipy.spatial.distance.num_obs_dm

`scipy.spatial.distance.``num_obs_dm`(d)

  Returns the number of original observations that correspond to a square, redundant distance matrix.

  Parameters:

  d : ndarray

  > The target distance matrix.

  Returns:

  num_obs_dm : int

  > The number of observations in the redundant distance matrix.